What is your FAR/AIM bug?

The FAR/AIM app will not open. I get error stating "please download required database".

The FAR/AIM app will not open. I get error stating "please download required database". There is no direction on where or how to download. Some help on where or how to get the missing database is needed.

I am on Galaxy Note 5. I use this app for work in Quality Dept at a part 145 repair station.

3 votes
Vote
Sign in
Check!
(thinking…)
Reset
or sign in with
  • facebook
  • google
    Password icon
    I agree to the terms of service
    Signed in as (Sign out)
    You have left! (?) (thinking…)
    DanielDaniel shared this idea  ·   ·  Admin →

    0 comments

    Sign in
    Check!
    (thinking…)
    Reset
    or sign in with
    • facebook
    • google
      Password icon
      I agree to the terms of service
      Signed in as (Sign out)
      Submitting...

      Feedback and Knowledge Base